#!/usr/local/bin/perl
#
# Create areas, areas.bbs, dirs.bat from list of new newsgroups.
#

# Nodes to add to new groups
$ADDNODES = "2:242/42 1:105/42 2:2454/91";

open(AREAS, ">areas.new")	|| die "newareas: can't open areas.new\n";

while(<>) {
    chop;

    ($area) = split(' ', $_);

    printf AREAS "#X %s %s\r\n", $area, $ADDNODES;
}

close(AREAS);
